commit:     08a5dba10eddfe9c7ff1498c0e974da6a7b4ec0c
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Fri Nov 13 06:42:25 2020 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Fri Nov 13 06:42:25 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=08a5dba1

dev-ruby/ascii85: add 1.1.0

Package-Manager: Portage-3.0.8, Repoman-3.0.2
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/ascii85/Manifest             |  1 +
 dev-ruby/ascii85/ascii85-1.1.0.ebuild | 28 ++++++++++++++++++++++++++++
 2 files changed, 29 insertions(+)

diff --git a/dev-ruby/ascii85/Manifest b/dev-ruby/ascii85/Manifest
index fb602c2a6d6..d2705ed078a 100644
--- a/dev-ruby/ascii85/Manifest
+++ b/dev-ruby/ascii85/Manifest
@@ -1 +1,2 @@
 DIST Ascii85-1.0.3.gem 11776 BLAKE2B 
e08bbc089546dd3b91ff5fd85b8652dd6f5c06025c29ac67004bd7d4c7bb8fc38c77b604dd5a884970b05041e173f37eaf895f0bb9ac1947ce70e4f0cc54906c
 SHA512 
b324ff06ea0cd46a679619a2bfca9f05c30ece9f0342f8a8d097841f3fb4dbb29cf4b6f6832742c50fe5a51895a9048308981be296466422269ce34c4d936f5c
+DIST Ascii85-1.1.0.gem 12288 BLAKE2B 
637ee421b51ec8ee88f00c32acc4d05a818fe7a26ec9f512a207d5c2e8c9b99e9866b904451a2ae811f024cd26b810b3dfbc346b6d935fd135a2c2615f2453ef
 SHA512 
f160dbc06f49aaf1c678ece5b94fab4c3878cf7fe6accc267e64505e412072cb28b9dc28ec1ed8bf01ddbd7c08c920d95fbe182f756072d614b9827f6ec50094

diff --git a/dev-ruby/ascii85/ascii85-1.1.0.ebuild 
b/dev-ruby/ascii85/ascii85-1.1.0.ebuild
new file mode 100644
index 00000000000..4bbddd140e2
--- /dev/null
+++ b/dev-ruby/ascii85/ascii85-1.1.0.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+USE_RUBY="ruby25 ruby26 ruby27"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_EXTRADOC="README.md History.txt"
+
+RUBY_FAKEGEM_NAME="Ascii85"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Methods for encoding/decoding Adobe's binary-to-text encoding of 
the same name"
+HOMEPAGE="https://github.com/datawraith/ascii85gem";
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~sparc ~x86"
+IUSE="test"
+
+ruby_add_bdepend "test? ( dev-ruby/minitest )"
+
+all_ruby_prepare() {
+       rm Gemfile || die
+       sed -i -e '/[Bb]undler/d' Rakefile || die
+}

Reply via email to